Cannot install Atom packages

I cannot install any atom packages, I just get:
Compiler tools not found
with the output being:
spawn C:\WINDOWS\system32\cmd.exe;C:\Users\me\AppData\Local\Programs\Python\Python36\Scripts ENOENT
I am sorry if this is a stupid question, but I have not been able to solve it for quite some time.
apm install --check give me this:
‘where git 2>nul’ is not recognized as an internal or external command,
operable program or batch file.
‘dir /b /s /a:d /od “C:\Users\vanci\AppData\Local\GitHub\PortableGit*” 2>nul’ is not recognized as an internal or external command,
operable program or batch file.
Checking for native build tools done
apm -v returns this:
‘where git 2>nul’ is not recognized as an internal or external command,
operable program or batch file.
‘dir /b /s /a:d /od “C:\Users\vanci\AppData\Local\GitHub\PortableGit*” 2>nul’ is not recognized as an internal or external command,
operable program or batch file.
apm 2.5.0
npm 6.14.5
node 10.20.1 x64
atom 1.51.0
python 3.6.1
git 2.28.0.windows.1
visual studio